/**
 * 说明：
 * * 显示错误信息。
 * @param e 错误信息
 * @param title 弹窗标题
 * @param callback 弹窗确认回调
 */
export function showError(e: any, title = '糟糕，出错了', callback?: () => void) {
  console.log('showError', e);
  let message = '';
  if (e?.errMsg) 
    message = e.errMsg;
  else 
    message = '' + (e ?? '未知错误');
  uni.showModal({ 
    title,
    content: message,
    showCancel: false,
    success() {
      callback?.();
    }
  })
  uni.hideLoading();
}
